﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Advertising.Mobile.UI;
using System.Diagnostics;

namespace CodeSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            AdControl adControl = new AdControl();
            // Add the control to a grid control
            Grid grid = (Grid)this.LayoutRoot.Children[1];
            grid.Children.Add(adControl);
            // Insert real values from pubCenter before
            // submitting your app to Windows Phone Marketplace!
#if SHOW_TEST_ADS
            adControl.ApplicationId = "test_client";
            adControl.AdUnitId = "Image480_80";
#else
            // Use your real Application ID and Ad Unit ID here
            adControl.ApplicationId = "12ab456c-de7f-89ab-0123-4567890c1d23";
            adControl.AdUnitId = "12345";
#endif
            // Make the AdControl fit the standard 480 x 80 dimension
            adControl.Width = 480;
            adControl.Height = 80;
            // Let the AdControl collapse and refresh automatically
            adControl.IsAutoRefreshEnabled = true;
            adControl.IsAutoCollapseEnabled = true;

        }

#if AUTO_REFRESH_DISABLED
        public void AdControl_AdRefreshed(object sender, EventArgs args)
        {
            AdControl ad = (AdControl)sender;
            Dispatcher.BeginInvoke(() =>
            {
                ad.Visibility = System.Windows.Visibility.Visible;
                Debug.WriteLine(
                "ad control '" + ad.Name + "' got ad, visibility = " + ad.Visibility);
            });
        }


        public void AdControl_ErrorOccurred(object sender, EventArgs args)
        {
            try
            {
                AdControl ad = (AdControl)sender;
                Dispatcher.BeginInvoke(() =>
                {
                    ad.Visibility = System.Windows.Visibility.Collapsed;
                    Debug.WriteLine(
                    "error in ad control '" + ad.Name);
                    Debug.WriteLine("ad control '" + ad.Name + "' visibility = " + ad.Visibility);
                });
            }
            catch (Exception e)
            {
                Debug.WriteLine("oh no! " + e.Message);
            }
        }
#endif

    }
}